petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMCompositeGetLocalVectors

Gets local vectors for each part of a DMComposite. Use DMCompositeRestoreLocalVectors() to return them.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetLocalVectors(DM dm,...)

Not Collective

### Input Parameter

dm -the packer object

### Output Parameter

Vec ... -the individual sequential Vecs

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeRestoreLocalVectors(), DMCompositeScatter(), DMCompositeGetEntries()

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html